/// <reference types="react" />
import React from 'react';
import { StyledComponentClass } from 'styled-components';
import { ThemeInterface } from 'theme';
import { PositioningHelpers } from 'styles/positioning';
import { Direction } from 'styles/arrow';
export declare const enum Size {
    Small = "small",
    Medium = "medium",
    Large = "large",
}
export declare const enum BackgroundColour {
    Primary = "primary",
    Secondary = "secondary",
}
export interface CardProps extends PositioningHelpers {
    primary?: boolean;
    secondary?: boolean;
    danger?: boolean;
    simple?: boolean;
    header?: boolean;
    size?: Size;
    arrow?: Direction;
    backgroundColour?: BackgroundColour;
}
declare const Card: StyledComponentClass<CardProps, ThemeInterface, CardProps & React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement>>;
export default Card;
