/// <reference types="react" />
import React from 'react';
import { StyledComponentClass } from 'wrappers/styled-components';
import { PositioningHelpers } from 'styles/positioning';
import { ThemeInterface } from 'theme';
export declare type LinkComponentType = React.ComponentClass<{
    to: string;
}> | StyledComponentClass<React.ClassAttributes<HTMLAnchorElement> & React.AnchorHTMLAttributes<HTMLAnchorElement>, ThemeInterface, React.ClassAttributes<HTMLAnchorElement> & React.AnchorHTMLAttributes<HTMLAnchorElement>>;
export interface Link {
    href: string;
    label: string;
}
export interface FooterComponentProps extends PositioningHelpers {
    phone?: string;
    email?: string;
    loggedInEmail?: string;
    onLogout?: (event: React.MouseEvent<HTMLSpanElement>) => void;
    LinkComponent?: LinkComponentType;
    links?: Link[];
    extraInfo?: Link[];
    company?: Link[];
}
export default function FooterComponent({phone, email, loggedInEmail, onLogout, LinkComponent, ...links}: FooterComponentProps): JSX.Element;
