import { InterpolationFunction, StyledComponentClass, Styles, ThemeProps } from 'styled-components';
import { ThemeInterface } from 'theme';
export declare type PositioningHelpers = MarginHelpers & PaddingHelpers & FlexHelpers;
export interface MarginHelpers {
    marginTop?: number;
    marginBottom?: number;
    marginRight?: number;
    marginLeft?: number;
}
export interface PaddingHelpers {
    paddingTop?: number;
    paddingBottom?: number;
    paddingRight?: number;
    paddingLeft?: number;
}
export interface FlexHelpers {
    justify?: string;
    align?: string;
    row?: boolean;
    wrap?: boolean;
    shouldWrap?: boolean;
}
export declare const marginHelpers: (string | number | Styles | StyledComponentClass<any, any, any> | InterpolationFunction<MarginHelpers & ThemeProps<ThemeInterface>>)[];
export declare const paddingHelpers: (string | number | Styles | StyledComponentClass<any, any, any> | InterpolationFunction<PaddingHelpers & ThemeProps<ThemeInterface>>)[];
export declare const flexHelpers: (string | number | Styles | StyledComponentClass<any, any, any> | InterpolationFunction<FlexHelpers & ThemeProps<ThemeInterface>>)[];
